Web lists-archives.com

re: [PHP] php installation in different location




My server isn't actually using PHP FPM, it's using CGI and FCGID. So I should compile it with CGI and FCGID options, rather than PHP-FPM. Do you have any instructions for them?CallSend SMSAdd to SkypeYou'll need Skype CreditFree via Skype 

    Στις 11:33 π.μ. Πέμπτη, 31 Μαρτίου 2016, ο/η Christos Moustakakis <moustakakis@xxxxxxxx> έγραψε:
 

 My server isn't actually using PHP FPM, it's using CGI and FCGID. So I should compile it with CGI and FCGID options, rather than PHP-FPM. Do you have any instructions for them?

CallSend SMSAdd to SkypeYou'll need Skype CreditFree via Skype 

    Στις 1:24 π.μ. Τετάρτη, 30 Μαρτίου 2016, ο/η Curtis Maurand <curtis@xxxxxxxxxxx> έγραψε:
 

 This might be helpful to you.

https://www.howtoforge.com/how-to-use-multiple-php-versions-php-fpm-and-fastcgi-with-ispconfig-3-ubuntu-12.10. 
The instructions are also supposed to work with 15.10 so I would imagine 
they would work with 14.04.  Not for the faint of heart. Seems to me 
that keeping the different versions patched and up to date would be a 
nightmare.

Cheers,
Curtis

On 3/29/2016 5:42 PM, Christos Moustakakis wrote:
> Thank you very much for your reply. I will try to clarify what I am trying to do.
> I have an ubuntu 14.04 server and I have installed "Virtualmin". Virtualmin have the ability to have multiple php versions but not in the Ubuntu!So I install manually the php version running the commands ./configure make install install
> so the virtualmin php located on /usr/bin and the php I have installed manually located in /usr/local/bin
> root@server ~ # /usr/bin/php -v
> PHP 5.5.9-1ubuntu4.14 (cli) (built: Oct 28 2015 01:34:46) Copyright (c) 1997-2014 The PHP Group Zend Engine v2.5.0, Copyright (c) 1998-2014 Zend Technologies with Zend OPcache v7.0.3, Copyright (c) 1999-2014, by Zend Technologiesroot@server ~ # /usr/local/bin/php -v
> PHP 5.6.16 (cli) (built: Jan 27 2016 23:41:05) Copyright (c) 1997-2015 The PHP Group Zend Engine v2.6.0, Copyright (c) 1998-2015 Zend TechnologiesAfter that, I call them from Virtualmin but it cannot manage them correctly.
> For example I use the php version I have installed manually in one website and it is needed to change an option from php.ini file but there is only one php.ini file (the default php version that has the virtualmin).
> So, I am asking if something goes wrong with the installation. If yes, how can I do it correctly and how can I unistall the faulty version. If no, I am asking how can I install one more php version in a different location?
> Meanwhile Virtualmin support have told me that only in Centos have multiple php versions. Below I send you some replies from Virtualmin support.
>
> The only officially supported way of installing multiple PHP versions, or newer PHP versions, would be to use CentOS, where you would have access to the CentOS SCL repository. Using that, there are multiple newer PHP versions that you could install alongside the standard CentOS PHP version.
>
> Specifically, this one looks well-supported and maintained:
> https://launchpad.net/~ondrej/+archive/ubuntu/phpIf you try this, let us know how it works (the PHP packages; we'll help make Virtualmin work with it). If the packages are solid, we'll look into adding some kind of automatic detection and configuration for PPA installed PHP versions. (We have a lot fewer Ubuntu users than CentOS, so stuff like this comes as Ubuntu users ask for it, rather than as the first iteration of a new feature.)
>
>      Στις 2:26 μ.μ. Τρίτη, 29 Μαρτίου 2016, ο/η Richard <replies-lists-e7x6-php@xxxxxxxxxxxxxxxxxxxxx> έγραψε:
>  
>
>  Could you explain/clarify what you are trying to accomplish.
>
> You initially asked how to install a second version of php in a
> different location. In your more recent post you asked how to
> uninstall the older/existing install in order to install the latest
> one.
>
> Why are you interested in installing the new version in a "different
> location" if you are going to uninstall the existing version?
> Installing the version you intend to use in a different location has
> effects on other bits - like the apache php module - so something to
> be avoided if you don't need to.
>
> Are you trying to install a new version from a repository or source?
> If source, why, what "must have" capability is unavailable in a
> packaged release? If package, why do you want to install it in a
> different location?
>
> There may be value/need to build from source, but in general the best
> approach is to keep things within your package management system by
> building a package and installing that, rather than having the source
> build do the installing.
>
>
>> Date: Tuesday, March 29, 2016 02:59:37 +0000
>> From: Richard
>>
>> The options mostly relate to where different things are installed on
>> your system. You can generally look at the outputs from the
>> ./configure to see what it didn't pick up and you need to explicitly
>> specify. These options relate to your system and other packages you
>> have installed.
>>
>> You should really be using your OSs package management environment
>> and getting your php package from the appropriate repositories. It
>> is *possible* that you really need a feature that is in a more
>> recent release than what is available from your repositories, but
>> in general that is unlikely.
>>
>> It is highly unlikely that you need to be installing from source. A
>> package from a repository will update the installed release so you
>> don't have to worry about uninstalling anything.
>>
>>
>>
>>> Date: Tuesday, March 29, 2016 01:52:24 +0000
>>> From: Christos Moustakakis <moustakakis@xxxxxxxx>
>>>
>>> ./configure --prefix=/opt <other options>
>>> 1. What other options? I need an installation for running websites.
>>> Could you tell me the full command I have to run?  2. How can I
>>> uninstall a php version in order to install the latest one? Thank
>>> you.
>>>
>>>    
>>>    On Tue, Mar 29, 2016 at 3:10, Jim Lucas<lists@xxxxxxxxx> wrote:
>>>    
>>>
>>>
>>> -------- Original message --------
>>> From: Christos Moustakakis <moustakakis@xxxxxxxx>
>>> Date: 03/28/2016 13:07 (GMT-08:00)
>>>
>>>
>>> Could you tell me how can I install a second version of php in a
>>> different location in ubuntu 14.04?
>>>
>>> ./configure --prefix=/opt <other options>
>>> --Jim lucas
>> ------------ End Original Message ------------
> ------------ End Original Message ------------
>
>
>
> --
> PHP General Mailing List (http://www.php.net/)
> To unsubscribe, visit: http://www.php.net/unsub.php
>
>
>    

-- 
Curtis Maurand
curtis@xxxxxxxxxxx <mailto:curtis@xxxxxxxxxxx>
207-252-7748